import javax.swing.*;
import java.awt.*;
import java.awt.event.*;
import BasicWindowMonitor;

public class Hosgeldiniz3SWF extends JFrame implements ActionListener
{
  String isim;
  JLabel etiket1;
  JLabel etiket2;
  JTextField girdi;

  public Hosgeldiniz3SWF()
  {
  isim="";
  etiket1=new JLabel("isminizi giriniz : ");
  girdi=new JTextField(20);
  etiket2=new JLabel("Java Programina Hos geldiniz!"+isim); 
  Container c=getContentPane();
  c.setLayout(new FlowLayout());
  c.add(etiket1);
  c.add(girdi);
  c.add(etiket2);
  etiket2.setVisible(false);
  girdi.addActionListener(this);
  setSize(350,200);
  show();
  }

  public void actionPerformed( ActionEvent e)
  {
   isim=e.getActionCommand();
   etiket2.setText("Java Programina Hos geldiniz! "+isim);
   etiket2.setVisible(true);
  }

  public static void main(String[] args)
  {
  Hosgeldiniz3SWF cerceve=new Hosgeldiniz3SWF();
  cerceve.addWindowListener(new BasicWindowMonitor());
  cerceve.setVisible(true);
  }
}
